Skip to main content
GET
/
Transaction
/
{transferId}
cURL
curl --request GET \
  --url https://api.trysynch.com/Transaction/{transferId} \
  --header 'Authorization: Bearer <token>'
{
  "externalTransferId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "amount": {
    "value": 123,
    "currencyCode": {
      "value": "<string>",
      "displayName": "<string>",
      "cultureName": "<string>"
    }
  },
  "date": "2023-11-07T05:31:56Z",
  "senderName": "<string>",
  "recipientName": "<string>",
  "senderAccount": "<string>",
  "recipientAccount": "<string>",
  "isRefunded": true,
  "isReimbursed": true,
  "appliedForReimbursement": true,
  "recipientAddress": {
    "streetNumberAndName": "<string>",
    "apartmentNumber": "<string>",
    "city": "<string>",
    "zipCode": "<string>",
    "state": "<string>",
    "country": "<string>"
  },
  "attachments": [
    {
      "id": "<string>",
      "name": "<string>",
      "contentType": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Use /auth/token to obtain access token. Enter 'Bearer' [space] and then your token in the text input below. Example: 'Bearer eyJhbGci...'

Path Parameters

transferId
string<uuid>
required

Response

OK

externalTransferId
string<uuid>
status
string
amount
object
date
string<date-time>
senderName
string
recipientName
string
senderAccount
string
recipientAccount
string
isRefunded
boolean
isReimbursed
boolean
appliedForReimbursement
boolean
recipientAddress
object
attachments
object[]